%define	name	mantis
%define oname   mantisbt
%define	version	1.1.8
%define	release	%mkrel 1
%define order	71

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Web-based bug tracker
License:	GPL
Group:		System/Servers
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://www.mantisbt.org
Source0:	%{oname}-%{version}.tar.gz
Source1:	%{name}-apache.conf.bz2
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):  apache-conf >= 2.0.54
Requires(pre):  apache-mpm >= 2.0.54
Requires:       apache-mod_php
Requires:	MySQL
BuildArch:	noarch
BuildRequires:	file

%description
Mantis is a php/MySQL/web based bugtracking system.
The goals for this project are to produce and maintain a
lightweight and simple bugtracking system. Additions of
complexity and/or features are modular and configurable
so that users can be shielded from unwanted clutter.

The product is designed to be easily modifiable,
 customizable, and upgradeable. Anyone with intermediate
PHP and MySQL experience should be able to customize
Mantis to suit their needs.

%prep
%setup -q -n %{oname}-%{version}

%build

%install
rm -rf  $RPM_BUILD_ROOT

rm -rf packages
# install files
install -d -m 755 $RPM_BUILD_ROOT%{_var}/www/%{name}
install -d -m 755 $RPM_BUILD_ROOT%_defaultdocdir/%{name}-%{version}
mv doc/*  $RPM_BUILD_ROOT%_defaultdocdir/%{name}-%{version}
rm -rf doc
cp -aRf * $RPM_BUILD_ROOT%{_var}/www/%{name}

# apache configuration
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf/webapps.d
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf/webapps.d/%{order}_%{name}.conf

find $RPM_BUILD_ROOT%{_var}/www/%{name} -name '*.php' -exec perl -pi -e 's|/usr/local/bin/php|/usr/bin/php|g' {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
        %{_initrddir}/httpd restart 1>&2
    fi
fi

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/%{order}_%{name}.conf
%_defaultdocdir/%{name}-%{version}
%{_var}/www/%{name}/*.php
%{_var}/www/%{name}/*.sample
%{_var}/www/%{name}/admin
%{_var}/www/%{name}/core
%{_var}/www/%{name}/css
%{_var}/www/%{name}/graphs
%{_var}/www/%{name}/images
%{_var}/www/%{name}/javascript
%{_var}/www/%{name}/lang
%{_var}/www/%{name}/api/*


%changelog
* Tue Jun 09 2009 Frederik Himpe <fhimpe@mandriva.org> 1.1.8-1mdv2010.0
+ Revision: 384473
- Update to new version 1.1.8

* Fri Jan 23 2009 Jérôme Soyer <saispo@mandriva.org> 1.1.6-1mdv2009.1
+ Revision: 332765
- New upstream release

* Mon Jul 28 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.8-3mdv2009.0
+ Revision: 251861
- rebuild
- fix no-buildroot-tag
- kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Anne Nicolas <anne.nicolas@mandriva.com> 1.0.8-1mdv2008.1
+ Revision: 120621
- add new source
- remove old source
- New version

* Mon Jun 25 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.7-2mdv2008.0
+ Revision: 43815
- fix deps

* Sat Jun 09 2007 Anne Nicolas <anne.nicolas@mandriva.com> 1.0.7-1mdv2008.0
+ Revision: 37686
- version 1.0.7


* Mon Dec 11 2006 Anne Nicolas <anne.nicolas@mandriva.com> 1.0.6-1mdv2007.0
+ Revision: 95080
- Import mantis

* Mon Dec 11 2006 Anne Nicolas <anne.nicolas@mandriva.com> 1.0.6-1
- new version

* Mon Sep 11 2006 Anne Nicolas <anne.nicolas@mandriva.com> 1.0.5-1mdk
- new version

* Wed Jun 07 2006 Anne Nicolas <anne.nicolas@mandriva.com> 1.0.3-1mdk
- new version

* Mon Apr 24 2006 Anne Nicolas <anne.nicolas@mandriva.com> 1.0.2-r21mdk
- correct apache configuration

* Sat Apr 22 2006 Anne Nicolas <anne.nicolas@mandriva.com> 1.0.2-1mdk
- initial release

